;;; By Jimmy Bergmark, JTB World, www.jtbworld.com

(defun c:SmartPurger (/ app)  
  (if (setq app (findfile (strcat (getenv "APPDATA") "/Autodesk/ApplicationPlugins/JTBW-SmartPurger.bundle/Contents/Win64/SmartPurger.exe")))
    (progn
      (startapp app)
      (princ "\nPlease wait for SmartPurger to start.")
    )
    (alert "SmartPurger.exe not found!")
  )
  (princ)
)
(defun c:SmartPurgerHelp (/ oldcmdecho oldinetlocation)
  (setq oldcmdecho (getvar "cmdecho"))
  (setvar "cmdecho" 0)
  (setq oldinetlocation (getvar "inetlocation"))
  (setvar "inetlocation" (findfile (strcat (getenv "APPDATA") "/Autodesk/ApplicationPlugins/JTBW-SmartPurger.bundle/Contents/Help/SmartPurgerHelp.htm")))
  (command "._BROWSER" "")
  (setvar "inetlocation" oldinetlocation)
 (setvar "cmdecho" oldcmdecho)
  (princ)
)
(princ)

;;;-----BEGIN-SIGNATURE-----
;;; sgcAADCCB64GCSqGSIb3DQEHAqCCB58wggebAgEBMQ8wDQYJKoZIhvcNAQELBQAw
;;; CwYJKoZIhvcNAQcBoIIFBzCCBQMwggProAMCAQICEAXQh9h+yhYPZ/m4wbnT3kgw
;;; DQYJKoZIhvcNAQELBQAwcjELMAkGA1UEBhMCVVMxFTATBgNVBAoTDERpZ2lDZXJ0
;;; IEluYzEZMBcGA1UECxMQd3d3LmRpZ2ljZXJ0LmNvbTExMC8GA1UEAxMoRGlnaUNl
;;; cnQgU0hBMiBBc3N1cmVkIElEIENvZGUgU2lnbmluZyBDQTAeFw0xNTAyMTcwMDAw
;;; MDBaFw0xODAyMjExMjAwMDBaMEoxCzAJBgNVBAYTAlNFMRMwEQYDVQQHDApMaWRr
;;; w7ZwaW5nMRIwEAYDVQQKEwlKVEIgV29ybGQxEjAQBgNVBAMTCUpUQiBXb3JsZDCC
;;; ASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKaZIMco369r8f0Kz4+bTYHP
;;; xYsfNaF2Nzo3+9ZItNeVqZS//PXlzKI7Yk/YoOQONMaXVF8e81s28E5J/H/uV980
;;; /JXxMrCBxl81f1+n7TFxM+/AGjItpZJNKxTDdjwlndgmoQlX14gja+wizOWfwdES
;;; e+FY47g2HxXO7GWmRzz36mEymhpF1ckDndcD5pVpW3103Lw6oLJaKk2YIzbxIFjx
;;; hsS3qHjmaOP3APYtCWKYrmWaR0gFxg/b7IQ/TXLNzwm8OZ5yiyRoMX4CUjgbnueN
;;; CKQCpFYStBwlf1zw+l5uxzTvNVJPPpEN9QuVgduXdaUqwWnD1BgDeZLRkiFXcXUC
;;; AwEAAaOCAbswggG3MB8GA1UdIwQYMBaAFFrEuXsqCqOl6nEDwGD5LfZldQ5YMB0G
;;; A1UdDgQWBBQ2arN6ydvgdfCGrApDCg61S6zsFjAOBgNVHQ8BAf8EBAMCB4AwEwYD
;;; VR0lBAwwCgYIKwYBBQUHAwMwdwYDVR0fBHAwbjA1oDOgMYYvaHR0cDovL2NybDMu
;;; ZGlnaWNlcnQuY29tL3NoYTItYXNzdXJlZC1jcy1nMS5jcmwwNaAzoDGGL2h0dHA6
;;; Ly9jcmw0LmRpZ2ljZXJ0LmNvbS9zaGEyLWFzc3VyZWQtY3MtZzEuY3JsMEIGA1Ud
;;; IAQ7MDkwNwYJYIZIAYb9bAMBMCowKAYIKwYBBQUHAgEWHGh0dHBzOi8vd3d3LmRp
;;; Z2ljZXJ0LmNvbS9DUFMwgYQGCCsGAQUFBwEBBHgwdjAkBggrBgEFBQcwAYYYaHR0
;;; cDovL29jc3AuZGlnaWNlcnQuY29tME4GCCsGAQUFBzAChkJodHRwOi8vY2FjZXJ0
;;; cy5kaWdpY2VydC5jb20vRGlnaUNlcnRTSEEyQXNzdXJlZElEQ29kZVNpZ25pbmdD
;;; QS5jcnQwDAYDVR0TAQH/BAIwADANBgkqhkiG9w0BAQsFAAOCAQEAW55wbM8Zd9sV
;;; SeRm51A9EtuVYMKQ3B0kiTIqDoRq3fUFYBsl48xv5fXgloaKLjKrLTL83tJNlkQ6
;;; KQ2Dh9Tjq30jJZQOVvJHrUm8UUAPRnUSFrpzemXhlkS+OKtJMV2/ELsq30g4h40O
;;; kaYz6MfGJKZg45uvnGCP6u9DV7gAnWumtA8w3PN3NDxMfLdWTMWzwMTI0l2WaeBx
;;; gGnLysaH/wbxkMK+AWVdGC8ZfNk41F4SHp0kUNtmBS3qLFTMWZ+6AbaAJbJHqcBF
;;; qZWL6jPJomaHwMmWkw0Wt+3eVKjf/jqSV7EhZN0lhnoQFc6R79/O0cWY0qEkEGpn
;;; 6LG/MIdHPzGCAmswggJnAgEBMIGGMHIxCzAJBgNVBAYTAlVTMRUwEwYDVQQKEwxE
;;; aWdpQ2VydCBJbmMxGTAXBgNVBAsTEHd3dy5kaWdpY2VydC5jb20xMTAvBgNVBAMT
;;; KERpZ2lDZXJ0IFNIQTIgQXNzdXJlZCBJRCBDb2RlIFNpZ25pbmcgQ0ECEAXQh9h+
;;; yhYPZ/m4wbnT3kgwDQYJKoZIhvcNAQELBQAwDQYJKoZIhvcNAQEBBQAEggEAPaz8
;;; +CNlsDvRgGmjdeQn3R/rvb9NnROPZJbaUfd45vvnx4+wUIsHZJxI0L/9POktMpyb
;;; s0FpxhH8pJ+vt22iNiZi+mH00sCaVM7tPhxy8c51rdFmDHrB3VCS78XkwEiH1xNS
;;; A5+gO2/pzogWLRFE/83tvbkHTHfr7z0ut9ViJoioMLDCO35w9dDVahpfZYzxvGIQ
;;; NMD6SsjiE6JIEsVj8jtn4dFma8A60MGflem38hyYKlyxUME0l1skXwvViwk6LThv
;;; cUbdePV5itbLoas6i2C7Ubge2N6mO/CZ6UmqhAJUZeyzykmP85nTAuDzo6LZTOHp
;;; gpTX4I2GaHBtztK+ZKGBtjCBswYDVR0OMYGrBIGoOAAwADsAMwAvADgALwAyADAA
;;; MQA1AC8AMwAvADIALwAzADgALwBOAGEAdABpAG8AbgBhAGwAIABJAG4AcwB0AGkA
;;; dAB1AHQAZQAgAG8AZgAgAFMAdABhAG4AZABhAHIAZABzACAAYQBuAGQAIABUAGUA
;;; YwBoAG4AbwBsAG8AZwB5ACAAKAB0AGkAbQBlAC0AYQAuAG4AaQBzAHQALgBnAG8A
;;; dgApAAAA
;;; -----END-SIGNATURE-----